#!/bin/sh


case $1 in

	start)
		modprobe slta-tty slta_debug=0
		sleep 1
		mkdir -p /var/run/slta/
		/usr/local/bin/slta-attach /dev/ttyS0 -b 115200
	;;

	debug)
		modprobe slta-tty slta_debug=0xFF #slta_alert_ack=0
#		insmod slta-tty.ko slta_debug=0xFF
		sleep 1
		mkdir -p /var/run/slta/
		/usr/local/bin/slta-attach /dev/ttyS0 -b 115200
	;;

	stop)
		TTY=ttyS0
		LCK="/var/lock/LCK..${TTY}"
		PID="$(cat $LCK 2>/dev/null)"
		if [ $? -ne 0 ]
		then
			echo "No lock"
		fi
		PID="$(echo $PID | sed 's@\s*@@g')"
		kill -0 "$PID"
		if [ $? -ne 0 ]
		then
			echo "Stale lock"
			rm $LCK
		fi
		P="$(cat /proc/$PID/comm 2>/dev/null)"
		if [ $? -ne 0 ]
		then
			echo "Process gone"
		fi

		if [ "$p" = "slta-attach" ]
		then
			kill $PID
		else
			echo "Different proccess found unter lock PID"
			rm $LCK
		fi

		for pfile in /var/run/slta/* ; do kill -n 9 `cat $pfile`; done
		sleep 1
		rmmod slta-tty
	;;

esac
