static int debug = 0;
module_param(debug, int,  S_IRUGO | S_IWUSR);
MODULE_PARM_DESC(debug, "Debug enabled or not");

static int maxqueuecount = 256;
module_param(maxqueuecount, int,  S_IRUGO | S_IWUSR);
MODULE_PARM_DESC(maxqueuecount, "Limit queue of readbuffer (0 = no limit)");

static struct usb_device_id lonusb_table[] = {
	{ USB_DEVICE(GESYTEC_USB_VID, GESYTEC_LPU_PID) },
	{ USB_DEVICE(GESYTEC_USB_VID, GESYTEC_LPM2_PID) },
	{ }
};
MODULE_DEVICE_TABLE(usb, lonusb_table);

static const struct file_operations lonusb_fops = 
{
	.owner =	THIS_MODULE,
	.read =		lonusb_read,
	.write =	lonusb_write,
	.poll =		lonusb_poll,
	.unlocked_ioctl =	lonusb_ioctl,
	.open =		lonusb_open,
	.release =	lonusb_release,
};

static struct usb_class_driver lonusb_class = {
	.name =		DRIVER_DEV_NAME "%d",
	.fops =		&lonusb_fops,
	.minor_base =	LONUSB_MINOR_BASE,  // ignored if CONFIG_USB_DYNAMIC_MINORS configuration option has been enabled for the kernel
                                        // see minor_base at http://www.makelinux.net/ldd3/chp-13-sect-4  
};

static struct usb_driver lonusb_driver = {
	.name =		DRIVER_MOD_NAME,
	.probe =	lonusb_probe,
	.disconnect =	lonusb_disconnect,
	.id_table =	lonusb_table,
	.no_dynamic_id =	1,
};
